# MatSetBlockSize

Sets the matrix block size; for many matrix types you cannot use this and MUST set the blocksize when you preallocate the matrix

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatSetBlockSize(Mat mat,PetscInt bs)

Not Collective

### Input Parameters

| mat | - the matrix
| bs | - block size

### Notes

Only works for shell and AIJ matrices

### See Also

MatCreateSeqBAIJ(), MatCreateMPIBAIJ(), MatCreateSeqBDiag(), MatCreateMPIBDiag(), MatGetBlockSize()

Level:intermediate
Location: src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages